commit 374428891ef50912ae1bdab394fc415267079e5c
Author: Richard Sandiford <richard.sandiford@arm.com>
Date:   Tue Aug 31 11:57:48 2021

    libgcc: Add missing runtime exception notices
    
    Quoting from https://gcc.gnu.org/pipermail/gcc/2021-July/236716.html:
    
    --------------------------------------------------------------------
    It was pointed out to me off-list that config/aarch64/value-unwind.h
    is missing the runtime exception.  It looks like a few other files
    are too; a fuller list is:
    
    libgcc/config/aarch64/value-unwind.h
    libgcc/config/frv/frv-abi.h
    libgcc/config/i386/value-unwind.h
    libgcc/config/pa/pa64-hpux-lib.h
    
    Certainly for the aarch64 file this was simply a mistake;
    it seems to have been copied from the i386 version, both of which
    reference the runtime exception but don't actually include it.
    --------------------------------------------------------------------
    
    Similarly, frv-abi.h referenced the exception but didn't include it.
    pa64-hpux-lib.h was missing any reference to the exception.
    
    The decision was that this was simply a mistake
    [https://gcc.gnu.org/pipermail/gcc/2021-July/236717.html]:
    
    --------------------------------------------------------------------
    […] It generally is
    considered a textual omission.  The runtime library components of GCC
    are intended to be licensed under the runtime exception, which was
    granted and approved at the time of introduction.
    --------------------------------------------------------------------
    
    and that we should simply change all of the files above
    [https://gcc.gnu.org/pipermail/gcc/2021-July/236719.html]:
    
    --------------------------------------------------------------------
    Please correct the text in the files. The files in libgcc used in the
    GCC runtime are intended to be licensed with the runtime exception and
    GCC previously was granted approval for that licensing and purpose.
    
    […]
    
    The runtime exception explicitly was intended for this purpose and
    usage at the time that GCC received approval to apply the exception.
    --------------------------------------------------------------------
    
    libgcc/
            * config/aarch64/value-unwind.h: Add missing runtime exception
            paragraph.
            * config/frv/frv-abi.h: Likewise.
            * config/i386/value-unwind.h: Likewise.
            * config/pa/pa64-hpux-lib.h: Likewise.
    
    (cherry picked from commit de7a795c321e76826d123c92b99e73e144666b60)

diff --git a/libgcc/config/aarch64/value-unwind.h b/libgcc/config/aarch64/value-unwind.h
index 1f50a47203c..041ca13e9b0 100644
--- a/libgcc/config/aarch64/value-unwind.h
+++ b/libgcc/config/aarch64/value-unwind.h
@@ -13,6 +13,10 @@
    or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.
 
+   Under Section 7 of GPL version 3, you are granted additional
+   permissions described in the GCC Runtime Library Exception, version
+   3.1, as published by the Free Software Foundation.
+
    You should have received a copy of the GNU General Public License and
    a copy of the GCC Runtime Library Exception along with this program;
    see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
diff --git a/libgcc/config/frv/frv-abi.h b/libgcc/config/frv/frv-abi.h
index 9af4ea4441d..0f7ed83df72 100644
--- a/libgcc/config/frv/frv-abi.h
+++ b/libgcc/config/frv/frv-abi.h
@@ -14,6 +14,10 @@
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.
 
+   Under Section 7 of GPL version 3, you are granted additional
+   permissions described in the GCC Runtime Library Exception, version
+   3.1, as published by the Free Software Foundation.
+
    You should have received a copy of the GNU General Public License and
    a copy of the GCC Runtime Library Exception along with this program;
    see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
diff --git a/libgcc/config/i386/value-unwind.h b/libgcc/config/i386/value-unwind.h
index 66f76bbe1f3..80267eee79d 100644
--- a/libgcc/config/i386/value-unwind.h
+++ b/libgcc/config/i386/value-unwind.h
@@ -13,6 +13,10 @@
    or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.
 
+   Under Section 7 of GPL version 3, you are granted additional
+   permissions described in the GCC Runtime Library Exception, version
+   3.1, as published by the Free Software Foundation.
+
    You should have received a copy of the GNU General Public License and
    a copy of the GCC Runtime Library Exception along with this program;
    see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
diff --git a/libgcc/config/pa/pa64-hpux-lib.h b/libgcc/config/pa/pa64-hpux-lib.h
index 85d5826a173..eeab98f1340 100644
--- a/libgcc/config/pa/pa64-hpux-lib.h
+++ b/libgcc/config/pa/pa64-hpux-lib.h
@@ -14,8 +14,13 @@ but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
-You should have received a copy of the GNU General Public License
-along with GCC; see the file COPYING3.  If not see
+Under Section 7 of GPL version 3, you are granted additional
+permissions described in the GCC Runtime Library Exception, version
+3.1, as published by the Free Software Foundation.
+
+You should have received a copy of the GNU General Public License and
+a copy of the GCC Runtime Library Exception along with this program;
+see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
 <http://www.gnu.org/licenses/>.  */
 
 /* We use DTOR_LIST_BEGIN to carry a bunch of hacks to allow us to use

